LINUX.ORG.RU

Пропатчить Firefox в Gentoo для интеграции в KDE

 ,


1

2

Взял сырцы Firefox 32 и Firefox-Kde-Opensuse 32 из Archlinux. Сравнил наборы патчей для них и те патчи, которые присутствуют только в сырцах firefox-kde-opensuse, взял и выцарапал себе в Gentoo (вот они: http://dropmefiles.com/aGeXy), положил в /etc/portage/patches/www-client/firefox и, для верности, в /usr/local/portage/www-client/firefox/files (тут я на всякий случай завёл ебилд Firefox'а, вдруг патчить придётся). Выполняю установку, падает патч firefox-kde-114.patch со словами:

patching file browser/components/preferences/advanced.js
Hunk #1 FAILED at 751.
1 out of 1 hunk FAILED -- saving rejects to file browser/components/preferences/advanced.js.rej
В файле advanced.js.rej:
--- browser/components/preferences/advanced.js
+++ browser/components/preferences/advanced.js
@@ -751,17 +751,17 @@
     if (kde_session == 1) {
       var shellObj = Components.classes["@mozilla.org/file/local;1"]
                                .createInstance(Components.interfaces.nsILocalFile);
       shellObj.initWithPath("/usr/bin/kwriteconfig");
       var process = Components.classes["@mozilla.org/process/util;1"]
                               .createInstance(Components.interfaces.nsIProcess);
       process.init(shellObj);
       var args = ["--file", "kdeglobals", "--group", "General", "--key",
-          "BrowserApplication", "MozillaFirefox"];
+          "BrowserApplication", "firefox"];
       process.run(false, args, args.length);
     }
     let selectedIndex =
       shellSvc.isDefaultBrowser(false, true) ? 1 : 0;
     document.getElementById("setDefaultPane").selectedIndex = selectedIndex;
   }
 #endif
 };
Не подскажете, как лечить?

★★

Просто для справки: а зачем тебе патчить огнелис под кде?

По сабжу: ты накосячил в патче

Deleted ()
Последнее исправление: ecko (всего исправлений: 1)
Ответ на: комментарий от Deleted

Я патч не трогал, потому и вопрос.

Чтобы он использовал kdialog вместо гтк-аналога.

Valdor ★★ ()

Значит не патченый advanced.js различается от того для которого написан этот патч или не находится по указанному пути.

Давай полный вывод emerge.

daemonpnz ★★★★★ ()

Вангую, что ты в порядке наложения патчей firefox-kde.patch и firefox-kde-114.patch накосячил.

d2 ()
Ответ на: комментарий от d2

1. Попробуй переименовать патчи (сделать что-то вроде 0001-firefox-kde.patch, 0002-...).

2. Исправь firefox-kde.patch, а firefox-kde-114.patch удали.

3. Поправь ebuild, руками задав правильный порядок.

d2 ()

Держи, чувак написал ебилды для всех версий фаерфокса.

Ну или сам делай, если хочешь.

anonymous ()
Ответ на: комментарий от d2

Переименовал файлы в 00N-имяпатча исходя из порядка в PKGBUILD'е Арча. Собирается. Спасибо.

Valdor ★★ ()
Ответ на: комментарий от Valdor

Какие-то неправильные патчи - ничто не изменилось.

Valdor ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.